MongoDate::__toString
MongoRegex::__construct
Types
PHP Manual

# The MongoRegex class

## Introduction

This class can be used to create regular expressions. Typically, these expressions will be used to query the database and find matching strings. More unusually, they can be saved to the database and retrieved.

Mongo recognizes six regular expression flags:

- i

  Case insensitive

- m

  Multiline

- x

  Can contain comments

- l

  locale

- s

  dotall, "." matches everything, including newlines

- u

  match unicode

## Class synopsis

MongoRegex
MongoRegex {
/* Fields */
public string $regex ;
public string $flags ;
/* Methods */
__construct ( string `$regex` )
public string __toString ( void )
}

## Table of Contents

- MongoRegex::__construct — Creates a new regular expression
- MongoRegex::__toString — A string representation of this regular expression

MongoDate::__toString
MongoRegex::__construct
Types
PHP Manual